Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.delegate
Interface SessionDelegate

All Superinterfaces:
  Closeable, SessionEndpoint

All Known Implementing Classes:
  ClientSessionDelegate

public interface SessionDelegate
extends SessionEndpoint

Represents the minimal set of operations to provide session functionality. Some of the methods may be implemented on the server, others will be handled in the advice stack.

Version:
  `$Revision: 1.30 $` $Id: SessionDelegate.java,v 1.30 2006/03/11 14:26:18 timfox Exp $
Author:
  Ovidiu Feodorov, Tim Fox

Method Summary
`void` | `addAsfMessage(MessageProxy m, int consumerID, ConsumerDelegate cons)`
`void` | `commit()`
`BytesMessageProxy` | `createBytesMessage()`
`MapMessageProxy` | `createMapMessage()`
`MessageProxy` | `createMessage()`
`ObjectMessageProxy` | `createObjectMessage()`
`ObjectMessageProxy` | `createObjectMessage(java.io.Serializable object)`
`ProducerDelegate` | `createProducerDelegate(JBossDestination destination)`
`StreamMessageProxy` | `createStreamMessage()`
`TextMessageProxy` | `createTextMessage()`
`TextMessageProxy` | `createTextMessage(java.lang.String text)`
`int` | `getAcknowledgeMode()`
`MessageListener` | `getMessageListener()`
`boolean` | `getTransacted()`
`javax.transaction.xa.XAResource` | `getXAResource()`
`void` | `postDeliver(long messageID, int receiverID)`
`void` | `preDeliver(long messageID, int receiverID)`
`void` | `recover()`
`void` | `rollback()`
`void` | `run()`
`void` | `setMessageListener(MessageListener listener)`

Methods inherited from interface org.jboss.jms.server.endpoint.SessionEndpoint
`acknowledge, addTemporaryDestination, cancelDeliveries, createBrowserDelegate, createConsumerDelegate, createQueue, createTopic, deleteTemporaryDestination, send, unsubscribe`

Methods inherited from interface org.jboss.jms.client.Closeable
`close, closing`

Method Detail

### createMessage

    public MessageProxy createMessage()
                               throws JMSException

  Throws:
    `JMSException`

### createBytesMessage

    public BytesMessageProxy createBytesMessage()
                                         throws JMSException

  Throws:
    `JMSException`

### createMapMessage

    public MapMessageProxy createMapMessage()
                                     throws JMSException

  Throws:
    `JMSException`

### createObjectMessage

    public ObjectMessageProxy createObjectMessage()
                                           throws JMSException

  Throws:
    `JMSException`

### createObjectMessage

    public ObjectMessageProxy createObjectMessage(java.io.Serializable object)
                                           throws JMSException

  Throws:
    `JMSException`

### createStreamMessage

    public StreamMessageProxy createStreamMessage()
                                           throws JMSException

  Throws:
    `JMSException`

### createTextMessage

    public TextMessageProxy createTextMessage()
                                       throws JMSException

  Throws:
    `JMSException`

### createTextMessage

    public TextMessageProxy createTextMessage(java.lang.String text)
                                       throws JMSException

  Throws:
    `JMSException`

### preDeliver

    public void preDeliver(long messageID,
                           int receiverID)
                    throws JMSException

  Throws:
    `JMSException`

### postDeliver

    public void postDeliver(long messageID,
                            int receiverID)
                     throws JMSException

  Throws:
    `JMSException`

### getMessageListener

    public MessageListener getMessageListener()
                                       throws JMSException

  Throws:
    `JMSException`

### setMessageListener

    public void setMessageListener(MessageListener listener)
                            throws JMSException

  Throws:
    `JMSException`

### run

    public void run()

### getXAResource

    public javax.transaction.xa.XAResource getXAResource()

### addAsfMessage

    public void addAsfMessage(MessageProxy m,
                              int consumerID,
                              ConsumerDelegate cons)

### getTransacted

    public boolean getTransacted()

### getAcknowledgeMode

    public int getAcknowledgeMode()

### commit

    public void commit()
                throws JMSException

  Throws:
    `JMSException`

### rollback

    public void rollback()
                  throws JMSException

  Throws:
    `JMSException`

### recover

    public void recover()
                 throws JMSException

  Throws:
    `JMSException`

### createProducerDelegate

    public ProducerDelegate createProducerDelegate(JBossDestination destination)
                                            throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.